Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Classes | Namespaces
id_set.hpp File Reference
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <algorithm>`
`#include <array>`
`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include <iterator>`
`#include <memory>`
`#include <type_traits>`
`#include <vector>`
Include dependency graph for id_set.hpp:

Go to the source code of this file.

## Classes
class | osmium::index::IdSet< T >
class | osmium::index::IdSetDenseIterator< T, chunk_bits >
class | osmium::index::IdSetDense< T, chunk_bits >
class | osmium::index::IdSetSmall< T >

## Namespaces
namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::index
| Indexing of OSM data, Locations, etc.